Inventory Pro
Skip to main content

Contents

api

Shipping Orders

Shipping Orders

The Shipping Orders endpoint manages outbound shipments — listing orders, retrieving details, and creating new shipping orders.

The Shipping Order Object

Shipping orders are returned as the raw Order entity. Common fields:

{
  "rec": "SO-2025-0015",
  "created": "2025-05-20T00:00:00Z",
  "modified": "2025-05-21T09:00:00Z",
  "associate": 8,
  "shipTo": 8,
  "billTo": 8,
  "po": "CUST-PO-100",
  "shipVia": 2,
  "canceled": 0,
  "complete": 0,
  "isShipped": 0,
  "isPacked": 0,
  "shipped": null,
  "delivery": "2025-06-05T00:00:00Z",
  "orderLines": [],
  "orderTotals": []
}

Fields

FieldTypeDescription
recstringShipping order number
createddatetimeDate the SO was created
modifieddatetimeLast modification timestamp
associateintegerAssociated customer record ID
shipTointegerShip-to customer ID
billTointegerBill-to customer ID
postringCustomer PO reference
shipViaintegerShip-via code
canceledinteger1 when canceled
completeinteger1 when complete
isShippedinteger1 when shipped
isPackedinteger1 when packed
shippeddatetime or nullDate shipped
deliverydatetime or nullDelivery date
orderLinesarrayLine items (detail response only)
orderTotalsarrayOrder totals (detail response only)

List Shipping Orders

GET /ShippingOrder

Returns shipping orders. Maximum page size is 50.

Parameters

FieldTypeRequiredDescription
pageintegerNoPage number (default 1)
pageSizeintegerNoResults per page (max 50)
sortstringNoField to sort by
directionstringNoasc or desc
startDatedatetimeNoFilter by order date on or after
endDatedatetimeNoFilter by order date on or before

Response

{
  "value": [
    {
      "rec": "SO-2025-0015",
      "created": "2025-05-20T00:00:00Z",
      "modified": "2025-05-21T09:00:00Z",
      "associate": 8,
      "shipTo": 8,
      "billTo": 8,
      "canceled": 0,
      "complete": 0,
      "isShipped": 0,
      "delivery": "2025-06-05T00:00:00Z"
    }
  ],
  "totalCount": 37,
  "page": 1,
  "pageSize": 25,
  "pageCount": 2,
  "hasMore": true
}

Get a Shipping Order

GET /ShippingOrder/{id}

Returns the full SO with header, line items, and totals. The id is the SO record number (rec).

Response

{
  "rec": "SO-2025-0015",
  "created": "2025-05-20T00:00:00Z",
  "modified": "2025-05-21T09:00:00Z",
  "associate": 8,
  "shipTo": 8,
  "billTo": 8,
  "po": "CUST-PO-100",
  "shipVia": 2,
  "canceled": 0,
  "complete": 0,
  "shipped": null,
  "delivery": "2025-06-05T00:00:00Z",
  "orderLines": [],
  "orderTotals": []
}

Create a Shipping Order

POST /ShippingOrder

Creates a new shipping order via the system import procedure. At least one line is required.

Request Body

{
  "Order": "SO-2025-0016",
  "WarehouseID": 1,
  "BillTo": "ACME-CORP",
  "ShipTo": "ACME-CORP",
  "Lines": [
    {
      "UPC": "BOLT-M8-30",
      "Location": "A1-01",
      "Description": "M8 x 30mm Hex Bolt",
      "Qty": 200
    }
  ]
}

Parameters

FieldTypeRequiredDescription
OrderstringNoSO number (must be unique). If omitted, the system assigns one
WarehouseIDintegerYesWarehouse ID (must be enabled for ship-from)
BillTostringNoBill-to customer shortID
ShipTostringNoShip-to customer shortID
LinesarrayYesOne or more line items
Lines[].UPCstringYesPart shortID (must be a valid sellable part)
Lines[].LocationstringNoBin/location
Lines[].DescriptionstringNoLine description
Lines[].QtydecimalYesQuantity to ship

Response

{
  "order": "SO-2025-0016",
  "status": "created"
}

Permissions

ActionRequired Permission
List / Get SOsAll Shipping Orders (SecurityID 120)
CreateCreate/Modify SO (SecurityID 125)